Target version:    
Description

There is a strict bond between status and role.

Only users with proper role can change status.

But there is no connection between "assigned to" and user.

Independently of "assigned to" field every user with proper role can change status.

There should be an option to enable "strict assignment" when only assigned user can change status, not every user with proper role.

Related issues:

Is duplicate of Redmine - Feature #2732: Allow additional workflow transition... Closed 2009-02-12

History

#1 - 2010-05-26 17:43 - Nikolay Kotlyarov

Full-scale feature implementation:

In "workflows/edit" view when editing statuses transitions for particular role there is a table "from status\to status".

In the cells there are only one check box now.

The cell contents would be expanded to form (or there could be a link to edit transition):

|-----------------------------------------------|

| [] status transition enabled (checkbox)       |

|    [] only if assigned (checkbox)             |

|-----------------------------------------------|

| [] must assign (checkbox)                     |

|-----------------------------------------------|

| Can assign to(roles list): []Role1(self)      |

| check_all_roles_button     []Role2            |

|                            []Role3            |

|                            ...                |

|                                               |

|-----------------------------------------------|

So the rules when trying to change status will be:

role can perform a transition only if "status transition enabled" checked (already implemented)

if "only if assigned" checked: user can not perform a transition if he isn't assigned to an issue (but having proper role)

if "must assign" checked: role can not perform a transition if proper user from the list was not assigned (see next rule)

assignable users are users with roles from the list "can assign to"

A "self transition" when actually there is no status transition should be like this:

|-----------------------------------------------|

| [] only if assigned (checkbox)                |

|-----------------------------------------------|

| Can assign to(roles list): []Role1(self)      |

| check_all_roles_button     []Role2            |

|                            []Role3            |

|                            ...                |

|                                               |

|-----------------------------------------------|

So the rules when trying to change "assidned to" and not changing status are:
if "only if assigned" checked: user can not change "assigned to" if he isn't assigned to an issue

role can assign users with roles from the list "can assign to"

#2 - 2010-05-27 01:28 - Michael Ivanov

+1

In my company we often need for such functionality. We have more than 200 people. Of course, each role is more than one employee.

P.S. Sorry for my English. :)

#3 - 2011-02-26 19:11 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #2732 which has been committed to trunk for release with version 1.2.0.
